%define	major 0
%define libname %mklibname mnl %{major}
%define develname %mklibname mnl -d

Summary:	Minimalistic Netlink communication library
Name:		libmnl
Version:	1.0.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Kernel and hardware
URL:		https://www.netfilter.org/projects/libmnl/
Source0:	https://www.netfilter.org/projects/libmnl/files/%{name}-%{version}.tar.bz2
Source1:	https://www.netfilter.org/projects/libmnl/files/%{name}-%{version}.tar.bz2.sig
BuildRequires:	linux-userspace-headers
BuildRequires:	libtool

%description
libmnl is a minimalistic user-space library oriented to Netlink developers.
There are a lot of common tasks in parsing, validating, constructing of both
the Netlink header and TLVs that are repetitive and easy to get wrong. This
library aims to provide simple helpers that allows you to re-use code and to
avoid re-inventing the wheel.

%package -n	%{libname}
Summary:	Minimalistic Netlink communication library
Group:		System/Libraries
Provides:	libmnl

%description -n	%{libname}
libmnl is a minimalistic user-space library oriented to Netlink developers.
There are a lot of common tasks in parsing, validating, constructing of both
the Netlink header and TLVs that are repetitive and easy to get wrong. This
library aims to provide simple helpers that allows you to re-use code and to
avoid re-inventing the wheel.

%package -n	%{develname}
Summary:	Development files for libmnl
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	mnl-devel

%description -n	%{develname}
libmnl is a minimalistic user-space library oriented to Netlink developers.
There are a lot of common tasks in parsing, validating, constructing of both
the Netlink header and TLVs that are repetitive and easy to get wrong. This
library aims to provide simple helpers that allows you to re-use code and to
avoid re-inventing the wheel.

%prep

%setup -q

%build
rm -Rf autom4te.cache
aclocal -I m4
autoreconf -fi

%configure

%make_build

%install
%make_install

# cleanup
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri May 13 2022 luigiwalser <luigiwalser> 1.0.5-1.mga9
+ Revision: 1857984
- 1.0.5

* Wed Mar 16 2022 umeabot <umeabot> 1.0.4-4.mga9
+ Revision: 1794513
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1514239
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1299000
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.0.4-1.mga6
+ Revision: 1045404
- 1.0.4

* Thu Feb 11 2016 umeabot <umeabot> 1.0.3-8.mga6
+ Revision: 955596
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 tmb <tmb> 1.0.3-7.mga6
+ Revision: 885667
- rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-6.mga5
+ Revision: 743642
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.3-5.mga5
+ Revision: 726760
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 681609
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 507169
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 357778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 294782
- new version 1.0.3

* Sun Jan 22 2012 fwang <fwang> 1.0.2-1.mga2
+ Revision: 199412
- new version 1.0.2

* Fri Apr 22 2011 tmb <tmb> 1.0.1-2.mga1
+ Revision: 89829
- add virtual provides and fix requires

* Fri Apr 22 2011 tmb <tmb> 1.0.1-1.mga1
+ Revision: 89823
- imported package libmnl


* Mon Mar 21 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2011.0
+ Revision: 647440
- import libmnl

* Mon Mar 21 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2010.2
- initial Mandriva release
